> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream demo video

` GET /api/v1/demos/{id}/video `

Stream demo video

## Servers

- ` https://littledemo.com ` — Production

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

### ` variant ` (query, optional)

- ` value `: type ` string `

## Responses

### ` 200 ` — Video stream (supports Range requests)

### ` 206 ` — Partial video stream for Range requests

### ` 304 ` — Not modified

### ` 404 ` — Not found

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/demos/string/video' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/demos/string/video', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/demos/string/video', headers=headers)
print(response.json())
```